using Microsoft.AspNetCore.Mvc;
using Silk_Road_Api.Models;
using Silk_Road_Api.ViewModels;

namespace Silk_Road_Api.Services;

public interface IManufacturerService
{
    public Task<ManufacturerViewModel> GetManufacturer(ControllerBase controller, int id);
    public Task<SearchOutput<ManufacturerViewModel>> GetManufacturers(ControllerBase controller, SearchInput input);
    public Task<bool> AddManufacturer(ControllerBase controller, ManufacturerViewModel manufacturerViewModel);
    public Task<bool> UpdateManufacturer(ControllerBase controller, ManufacturerViewModel manufacturerViewModel);
    public Task<bool> DeleteManufacturer(ControllerBase controller, int id);
    public void GenerateManufacturer();

}
